% WARNING: This is an unauthorized class file. It has not been thoroughly      %
% tested so it probably still has bugs. We will do our best to fix them when   %
% found. Bugs can be reported by e-mail to hala(at)it.cas.cz                   %
%                                                                              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% Define the document class
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{isaif16_abstract}[2024/07/26 ISAIF 16 Abstract Template]

% Base class
\LoadClass[a4paper, 10pt, onecolumn, twoside]{article}

% Packages
\RequirePackage[utf8]{inputenc}
\RequirePackage{amsmath, amssymb}
\RequirePackage{graphicx}
\RequirePackage{fancyhdr}
\RequirePackage{geometry}
\RequirePackage{titlesec}
\RequirePackage{times}
\RequirePackage{setspace}
\RequirePackage{authblk}
\RequirePackage[font={small,bf}, justification=centering]{caption}
%\RequirePackage{fleqn}
\usepackage{natbib}

% Geometry setup for two-column layout
\geometry{left=19mm, right=19mm, bottom=25mm, columnsep=8mm}
\textwidth=172mm
\textheight=240mm
\setlength{\headheight}{17mm}
\setlength{\voffset}{0mm}
\setlength{\topmargin}{-9.4mm}
\setlength{\headsep}{0pt}
\setlength{\footskip}{7.5mm}
\setlength{\parskip}{0pt}
%\setlength{\mathindent}{0.5cm}
\setlength{\bibsep}{0pt plus 0.3ex}

%% titlesection formatting
\titleformat{\section}
  {\fontsize{11pt}{1.15em}\selectfont\bfseries}{\thesection.}{}{}
\titleformat{\subsection}
  {\fontsize{11pt}{1.15em}\selectfont\bfseries}{\thesubsection.}{}{}
  
\titlespacing\section{0pt}{12pt plus 0pt minus 0pt}{0pt plus 0pt minus 0pt}
\titlespacing\subsection{0pt}{12pt plus 0pt minus 0pt}{0pt plus 0pt minus 0pt}

\setlength\parindent{0.5cm}

% Define header and footer
\fancypagestyle{firstpage}{
    \fancyhf{}
    \renewcommand{\headrulewidth}{0.4pt}
    \fancyhead[L]{
    \onehalfspacing
        \textbf{Proceedings of the 16th International Symposium on Experimental and\\
        Computational Aerothermodynamics of Internal Flows\\
        15--19 September 2025, Prague, Czech Republic}
        \vspace{0.5mm} % Additional vertical space below the header text
    }
    \fancyhead[R]{
        \vspace{0.5mm} % Align with left header
        \includegraphics[height=1.45cm]{logo_ISAIF16.pdf}
    }
    \renewcommand{\footrulewidth}{0.4pt}
%    \fancyfoot[L]{ISAIF16}
%    \fancyfoot[C]{\thepage}
%    \fancyfoot[R]{}
	\fancyfoot[C]{\thepage}
    \fancyfoot[L]{\ifodd\value{page}ISAIF16\else\fi}
    \fancyfoot[R]{\ifodd\value{page}\else ISAIF16\fi}
}

\fancypagestyle{footeronly}{
    \fancyhf{}
    \renewcommand{\headrulewidth}{0pt}
    \renewcommand{\footrulewidth}{0.4pt}
	\fancyfoot[C]{\thepage}
    \fancyfoot[L]{\ifodd\value{page}ISAIF16\else\fi}
    \fancyfoot[R]{\ifodd\value{page}\else ISAIF16\fi}
}

% Title and authors
\renewcommand\Authfont{\fontsize{11pt}{1.15em}\selectfont\bfseries\raggedright}
\renewcommand\Affilfont{\normalsize\raggedright\mdseries}

\newcommand{\makeisaiftitle}[1]{
    \title{\fontsize{14pt}{0em}\selectfont\raggedright\vspace{-9pt}\textbf{#1}\vspace{-3pt}}
}

\newenvironment{isaifabstract}{
    \noindent\fontsize{11pt}{1.15em}\selectfont\leftskip=0.5cm\textbf{Abstract}\par
    \noindent\normalsize
    \noindent\leftskip=0.5cm\rightskip=0.5cm
}{\par\vspace{12pt}}

\newenvironment{isaifkeywords}{
    \noindent\textbf{Keywords:}
    \noindent\normalsize
}{\par\vspace{12pt}}

\newcommand{\printtitle}[2]{
            \maketitle
            \thispagestyle{firstpage}
            \begin{isaifabstract}#1\end{isaifabstract}
            \begin{isaifkeywords}#2\end{isaifkeywords}
			\pagestyle{footeronly}
}

\endinput
